# services/mailu/kustomization.yaml
apiVersion: kustomize.config.k8s.io/v1beta1
kind: Kustomization
namespace: mailu-mailserver
resources:
  - namespace.yaml
  - serviceaccount.yaml
  - secretproviderclass.yaml
  - helmrelease.yaml
  - vault-sync-deployment.yaml
  - certificate.yaml
  - vip-controller.yaml
  - unbound-configmap.yaml
  - serverstransport.yaml
  - ingressroute.yaml
  - oneoffs/mailu-sync-job.yaml
  - mailu-sync-cronjob.yaml
  - front-lb.yaml

configMapGenerator:
  - name: mailu-vault-env
    namespace: mailu-mailserver
    files:
      - mailu_vault_env.sh=scripts/mailu_vault_env.sh
    options:
      disableNameSuffixHash: true
  - name: mailu-sync-script
    namespace: mailu-mailserver
    files:
      - sync.py=scripts/mailu_sync.py
    options:
      disableNameSuffixHash: true
  - name: mailu-vault-entrypoint
    namespace: mailu-mailserver
    files:
      - vault-entrypoint.sh=scripts/vault-entrypoint.sh
    options:
      disableNameSuffixHash: true
